/*
	Undefined object properties test code for GNU Flash Player
	Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released under Creative Commons Public Domain Dedication 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
	
	Once this Flash code is run, it declares multiple sort of variables
	that would all have `undefined` value. Their existence could be checked
	via plugin's `GetVariable(variablePath)` function,
	or ActionScript's Object.hasOwnProperty(propertyName) method.
*/
var undefined_timeline_declared;
var undefined_timeline_assigned=undefined;

this.undefined_object_assigned=undefined;
this["undefined_assoc_assigned"]=undefined;

trace("`this` has `undefined_timeline_declared` property?: "+this.hasOwnProperty("undefined_timeline_declared"));
trace("`this` has `undefined_timeline_assigned` property?: "+this.hasOwnProperty("undefined_timeline_assigned"));
trace("`this` has `undefined_object_assigned` property?: "+this.hasOwnProperty("undefined_object_assigned"));
trace("`this` has `undefined_assoc_assigned` property?: "+this.hasOwnProperty("undefined_assoc_assigned"));
